var landmark = require('landmark-serve'),
	Types = landmark.Field.Types;

/**
 * User Model
 * ==========
 */

var User = new landmark.List('User');

User.add({
	name: { type: Types.Name, required: true, index: true },
	email: { type: Types.Email, initial: true, required: true, index: true },
	password: { type: Types.Password, initial: true, required: true }
}, 'Permissions', {
	isAdmin: { type: Boolean, label: 'Can access Landmark', index: true }
});

// Provide access to Landmark
User.schema.virtual('canAccessLandmark').get(function() {
	return this.isAdmin;
});

<% if (includeBlog) { %>
/**
 * Relationships
 */

User.relationship({ ref: 'Post', path: 'author' });

<% } %>
/**
 * Registration
 */

User.defaultColumns = 'name, email, isAdmin';
User.register();
